Companies

Get company stats

The caller's per-company stats for every active company (`archived=false`, default) or every archived one (`archived=true`): `contacts_count`, `connections_count`, `last_interaction_at` (the caller's

GET /v2/companies/stats

Parameters

Query parameters

archived
boolean required

Responses

200 — Successful response

Content-Type: application/json

data
object required
data.stats
array<object> required
data.stats[].company_id
string (uuid) required
data.stats[].contacts_count
integer required
data.stats[].connections_count
integer required
data.stats[].last_interaction_at
string (date-time) required
data.stats[].team_last_interaction_at
string (date-time) required

Example

{
  "data": {
    "stats": [
      {
        "company_id": "00000000-0000-0000-0000-000000000000",
        "contacts_count": 0,
        "connections_count": 0,
        "last_interaction_at": "2026-10-27T17:27:24.890Z",
        "team_last_interaction_at": "2026-10-27T17:27:24.890Z"
      }
    ]
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl 'https://api.prod.getdex.com/v2/companies/stats?archived=false' \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026